<template>
  <div class="pb-[100px]">
    <div class="overflow-hidden">
      <div>
        <div class="mt-[26px] px-3">
          <lobby-list-animation :active-tab="tabSelected" :is-sport="false" />
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import _ from "lodash";
import { defineComponent, ref, computed } from "vue";
import { useRoute } from "vue-router";

export default defineComponent({
  name: "Cockfight",
  setup() {
    const hasBanner = ref(false);
    const route = useRoute();
    const tabSelected = computed(() =>
      _.replace(
        _.replace(route.path.split("/")[1], "-", ""),
        "/",
        ""
      ).toLowerCase()
    );
    return {
      hasBanner,
      tabSelected,
    };
  },
});
</script>

<style scoped></style>
